All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Class ClassPathClasses

    com.sas.models.ClassPathClasses

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, ComponentInterface, LinkPropertiesInterface, ModelInterface, TreeInterface, ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class ClassPathClasses

implements TreeInterface

ClassPathClasses is a model that represents the classes in the CLASSPATH.

Features:

- Filtering
- Skipping classes found in archive files
- Passing in your own CLASSPATH

NOTE: The serial version ID for ClassPathClasses is not fixed at this time, so instances of ClassPathClasses should not be serialized in projects.

See Also:
  Serialized Form

Field Summary
`protected com.sas.util.PredicateInterface` | `classFilter`
`protected java.lang.String` | `classPath`
`protected boolean` | `extensionJarsIncluded`
`protected boolean` | `onlyContainPackages`
`protected java.lang.String` | `rootNodeText`
`protected boolean` | `zipFilesSearched`

Constructor Summary
`ClassPathClasses()` Constructor.
`ClassPathClasses(java.lang.String classPath)` Constructor.

Method Summary
`boolean` | `getArchiveFilesSearched()`
`com.sas.util.PredicateInterface` | `getClassFilter()`
`boolean` | `getExtensionJarsIncluded()`
`boolean` | `getOnlyContainPackages()`
`NodeInterface` | `getRoot()` Returns the root node of the model for the TreeInterface implementation.
`java.lang.String` | `getRootNodeText()`
`void` | `setArchiveFilesSearched(boolean zipFilesSearched)`
`void` | `setClassFilter(com.sas.util.PredicateInterface classFilter)`
`void` | `setExtensionJarsIncluded(boolean extensionJarsIncluded)`
`void` | `setOnlyContainPackages(boolean onlyContainPackages)`
`void` | `setRootNodeText(java.lang.String rootNodeText)`

Methods inherited from class com.sas.Component
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, beansIsDesignTime, beansSetDesignTime, clone, clone, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getExtendedBeanInfo, getLinkInfo, getModelInterface, getRequiredInterfaces, getResources, getStringResource, getViewInterfaceSupportInfo, initialize, initializeComponent, isDesignTime, isLinked, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues, setLinkInfo, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, validateObject`

Field Detail

### classPath

    protected java.lang.String classPath

### zipFilesSearched

    protected boolean zipFilesSearched

### classFilter

    protected com.sas.util.PredicateInterface classFilter

### rootNodeText

    protected java.lang.String rootNodeText

### onlyContainPackages

    protected boolean onlyContainPackages

### extensionJarsIncluded

    protected boolean extensionJarsIncluded

Constructor Detail

### ClassPathClasses

    public ClassPathClasses()

  Constructor. All the classes in the CLASSPATH are available in the model.

### ClassPathClasses

    public ClassPathClasses(java.lang.String classPath)

  Constructor. The classes in the specified `classPath` are available in the model.

  Parameters:
    `classPath` - The directories and archive files (ZIP, JAR, CAB, etc..) to look in for classes.

Method Detail

### getRoot

    public NodeInterface getRoot()

  Returns the root node of the model for the TreeInterface implementation.

  Specified by:
    `getRoot` in interface `TreeInterface`
  Returns:
    The root node of the tree.

### getArchiveFilesSearched

    public boolean getArchiveFilesSearched()

### setArchiveFilesSearched

    public void setArchiveFilesSearched(boolean zipFilesSearched)

### getExtensionJarsIncluded

    public boolean getExtensionJarsIncluded()

### setExtensionJarsIncluded

    public void setExtensionJarsIncluded(boolean extensionJarsIncluded)

### getClassFilter

    public com.sas.util.PredicateInterface getClassFilter()

### setClassFilter

    public void setClassFilter(com.sas.util.PredicateInterface classFilter)

### getRootNodeText

    public java.lang.String getRootNodeText()

### setRootNodeText

    public void setRootNodeText(java.lang.String rootNodeText)

### getOnlyContainPackages

    public boolean getOnlyContainPackages()

### setOnlyContainPackages

    public void setOnlyContainPackages(boolean onlyContainPackages)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.